Subject: bug#13041: 24.2; diacritic-fold-search

From: Juri Linkov <[email-masked]>
Date: Fri, 30 Nov 2012 20:51:44 +0200

> Currently, if I want to search for both “apres” and “après”,
> I need an additive regular expression.  I would like to do this as
> easily as I can search for “apres” and “Apres”.  I would be delighted
> if Emacs implemented the equivalence classes spelled out here:
>
>   http://hex-machina.com/scripts/yui/3.3.0pr1/api/unicode-data-accentfold.js.html

This could be implemented in isearch using a recipe from

http://thread.gmane.org/gmane.emacs.devel/117003/focus=117959

Instead of hard-coding a list of equivalent characters
I guess it should be possible to do this automatically
using Unicode information about characters.